Bug 241731 - [NEW PORTS] x11-toolkits/guile-gnome-platform graphics/guile-cairo devel/g-wrap
Summary: [NEW PORTS] x11-toolkits/guile-gnome-platform graphics/guile-cairo devel/g-wrap
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kyle Evans
URL: https://reviews.freebsd.org/D22189
Keywords: feature
Depends on:
Blocks:
 
Reported: 2019-11-05 11:14 UTC by andrew
Modified: 2020-09-18 04:00 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description andrew 2019-11-05 11:14:01 UTC
See attached Phabricator link for content.

x11-toolkits/guile-gnome-platform provides Guile bindings for various Gnome libraries: Gtk, Pango, etc. The other two ports are just dependencies needed for it to work.

https://reviews.freebsd.org/D22189
Comment 1 commit-hook freebsd_committer 2020-04-07 06:23:39 UTC
A commit references this bug:

Author: koobs
Date: Tue Apr  7 06:22:47 UTC 2020
New revision: 530947
URL: https://svnweb.freebsd.org/changeset/ports/530947

Log:
  [NEW] devel/g-wrap: Tool for generating function wrappers for Guile

  G-Wrap is a tool (and guile library) for generating function wrappers
  for inter-language calls. It currently only supports generating Guile
  wrappers for C functions. Other languages may be supported in the
  future, possibly on both sides.

  WWW: http://www.nongnu.org/g-wrap/

  PR:		241731
  Submitted by:	Andrew <andrew tao11 riddles org uk>
  Differential Revision: D22189

Changes:
  head/devel/Makefile
  head/devel/g-wrap/
  head/devel/g-wrap/Makefile
  head/devel/g-wrap/distinfo
  head/devel/g-wrap/pkg-descr
  head/devel/g-wrap/pkg-plist
Comment 2 commit-hook freebsd_committer 2020-04-07 06:24:41 UTC
A commit references this bug:

Author: koobs
Date: Tue Apr  7 06:24:04 UTC 2020
New revision: 530948
URL: https://svnweb.freebsd.org/changeset/ports/530948

Log:
  [NEW] graphics/guile-cairo: Wrapper for using the Cairo graphics library from Guile

  Guile-Cairo wraps the Cairo graphics library for Guile Scheme.

  WWW: http://www.nongnu.org/guile-cairo/

  PR:		241731
  Submitted by:	Andrew <andrew tao11 riddles org uk>
  Differential Revision:	D22189

Changes:
  head/graphics/Makefile
  head/graphics/guile-cairo/
  head/graphics/guile-cairo/Makefile
  head/graphics/guile-cairo/distinfo
  head/graphics/guile-cairo/pkg-descr
  head/graphics/guile-cairo/pkg-plist
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2020-04-07 06:31:24 UTC
svn: E165001: Commit failed (details follow):
svn: E165001: Commit blocked by pre-commit hook (exit code 1) with output:
Do not commit a port with FLAVORS without first
getting approval from portmgr.

x11-toolkits/guile-gnome-platform needs portmgr to accept the FLAVOR'd port

I've re-opened the review (D22189) and added portmgr as a blocking reviewer with comment requesting approval
Comment 4 commit-hook freebsd_committer 2020-09-17 17:48:12 UTC
A commit references this bug:

Author: kevans
Date: Thu Sep 17 17:47:24 UTC 2020
New revision: 548847
URL: https://svnweb.freebsd.org/changeset/ports/548847

Log:
  [NEW] x11-toolkits/guile-gnome-platform: Guile bindings for Gnome

  This the final addition to complete the set of ports enabling the use of
  Gnome GUI from Guile scripts.

  WWW: https://www.gnu.org/software/guile-gnome/

  PR:		241731
  Submitted by:	Andrew <andrew tao11 riddles org uk>
  Reviewed by:	mat (flavors)
  Differential Revision:	https://reviews.freebsd.org/D22189

Changes:
  head/x11-toolkits/Makefile
  head/x11-toolkits/guile-gnome-platform/
  head/x11-toolkits/guile-gnome-platform/Makefile
  head/x11-toolkits/guile-gnome-platform/distinfo
  head/x11-toolkits/guile-gnome-platform/files/
  head/x11-toolkits/guile-gnome-platform/files/patch-configure.ac
  head/x11-toolkits/guile-gnome-platform/files/patch-glib_bin_Makefile.am
  head/x11-toolkits/guile-gnome-platform/pkg-descr
  head/x11-toolkits/guile-gnome-platform/pkg-plist
Comment 5 Kyle Evans freebsd_committer 2020-09-17 17:49:09 UTC
All three committed; thanks!
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2020-09-18 04:00:45 UTC
^Triage: Assign to committer that resolved. Thanks Kyle!